﻿using System;
using System.ComponentModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadAutoCompleteBox_SL_733662
{
    public class Person : INotifyPropertyChanged
    {
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private string fullName;

        public string FullName
        {
            get { return fullName; }
            set { fullName = value; this.OnPropertyChanged("FullName"); }
        }

        private int age;

        public int Age
        {
            get { return age; }
            set { age = value; this.OnPropertyChanged("Age"); }
        }


    }
}
