﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadAutoCompleteBox_SL_733662
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Person> availableAttendees;

        public ObservableCollection<Person> AvailableAttendees
        {
            get { return availableAttendees; }
            set { availableAttendees = value; this.OnPropertyChanged("AvailableAttendees"); }
        }

        private ObservableCollection<Person> assignedAttendees;

        public ObservableCollection<Person> AssignedAttendees
        {
            get { return assignedAttendees; }
            set { assignedAttendees = value; this.OnPropertyChanged("AssignedAttendees"); }
        }

        public ViewModel()
        {
            this.AvailableAttendees = new ObservableCollection<Person>()
            {
                new Person { FullName = "John Doe", Age = 20 },
                new Person { FullName = "Jane Doe", Age = 21 },
                new Person { FullName = "Jack Doe", Age = 22 },
                new Person { FullName = "William Doe", Age = 23 },
                new Person { FullName = "Kate Doe", Age = 24 },
                new Person { FullName = "Rodney Doe", Age = 25 },
            };

            this.AssignedAttendees = new ObservableCollection<Person>()
            {
                new Person { FullName = "John Doe", Age = 20 },
                new Person { FullName = "Jane Doe", Age = 21 },
            };

            this.AssignedAttendees.CollectionChanged += AssignedAttendees_CollectionChanged;
        }

        void AssignedAttendees_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            
        }
    }
}
